<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myPaymentLabel" jhiTranslate="mpmApp.payment.home.createOrEditLabel">Create or edit a Payment</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!payment.idPayment">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="payment.idPayment" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.payment.paymentNumber" for="field_paymentNumber">Payment Number</label>
                    <input type="text" class="form-control" name="paymentNumber" id="field_paymentNumber"
                        [(ngModel)]="payment.paymentNumber" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.payment.refferenceNumber" for="field_refferenceNumber">Refference Number</label>
                    <input type="text" class="form-control" name="refferenceNumber" id="field_refferenceNumber"
                        [(ngModel)]="payment.refferenceNumber" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.payment.dateCreate" for="field_dateCreate">Date Create</label>
                    <div class="input-group">
                        <p-calendar inputId="field_dateCreate" name="input_dateCreate" [(ngModel)]="payment.dateCreate"
                            dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                            [showIcon]="true"></p-calendar>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.payment.amount" for="field_amount">Amount</label>
                    <input currencyMask class="form-control" name="amount" id="field_amount"
                        [(ngModel)]="payment.amount"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                         />
                </div>

                <div class="form-group" *ngIf="idPaymentType === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.payment.paymentType" for="field_paymentType">Payment Type</label>
                    <select class="form-control" id="field_paymentType" name="paymentType" [(ngModel)]="payment.paymentTypeId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="paymentTypeOption.idPaymentType" *ngFor="let paymentTypeOption of paymenttypes; trackBy: trackPaymentTypeById">{{paymentTypeOption.id}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idMethod === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.payment.method" for="field_method">Method</label>
                    <select class="form-control" id="field_method" name="method" [(ngModel)]="payment.methodId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="paymentMethodOption.idPaymentMethod" *ngFor="let paymentMethodOption of paymentmethods; trackBy: trackPaymentMethodById">{{paymentMethodOption.id}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idInternal === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.payment.internal" for="field_internal">Internal</label>
                    <select class="form-control" id="field_internal" name="internal" [(ngModel)]="payment.internalId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.id}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idPaidTo === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.payment.paidTo" for="field_paidTo">Paid To</label>
                    <select class="form-control" id="field_paidTo" name="paidTo" [(ngModel)]="payment.paidToId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="billToOption.idBillTo" *ngFor="let billToOption of billtos; trackBy: trackBillToById">{{billToOption.id}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idPaidFrom === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.payment.paidFrom" for="field_paidFrom">Paid From</label>
                    <select class="form-control" id="field_paidFrom" name="paidFrom" [(ngModel)]="payment.paidFromId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="billToOption.idBillTo" *ngFor="let billToOption of billtos; trackBy: trackBillToById">{{billToOption.id}}</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
